<?php 
	
	// Simple PHP Blog
	// ------------------------------
	// Created by: Alexander Palmo, apalmo <at> bigevilbrain <dot> com
	//
	// RSS/PING/GZIP/EMAIL/SEARCH Code:
	// Contributed by: Javier Gutierrez, guti <at> ya <dot> com
	
	// The Simple PHP Blog is released under the GNU Public License.
	//
	// You are free to use and modify the Simple PHP Blog. All changes 
	// must be uploaded to SourceForge.net under Simple PHP Blog or
	// emailed to apalmo <at> bigevilbrain <dot> com
	//
	// Credit should be give to the original authors and the Simple PHP Blog
	// logo graphic must appear on the site and link to the project
	// on SourceForge.net
	
	
	// Last version and update information.
	//
	global $sb_info;
	$sb_info[ 'version' ] = '0.3.7m';
	$sb_info[ 'last_update' ] = '10/26/04';
	
	
	// Error reporting should be set to 0 in production environments.
	//
	error_reporting( E_ALL ^ E_NOTICE );
	// error_reporting( 0 );
	
	//Remove timeout limit
	@set_time_limit( 0 );
	
	
	// Store "time" for benchmarking.
	//
	function getmicrotime() { 
		if ( version_compare( phpversion(), '5.0.0' ) == -1 ) {
			list($usec, $sec) = explode(' ', microtime()); 
			return ((float)$usec + (float)$sec); 
		}
		else {
			return( microtime( true ) );
		}
	}
	
	global $page_timestamp;
	$page_timestamp = getmicrotime();
	
	
	// Load all the other functions.
	//
	require('scripts/sb_fileio.php');
	require('scripts/sb_config.php');
	require('scripts/sb_login.php');
	
	require('scripts/sb_theme.php');
	require('scripts/sb_formatting.php');
	require('scripts/sb_date.php');
	require('scripts/sb_communicate.php');
	require('scripts/sb_comments.php');
	require('scripts/sb_static.php');
	require('scripts/sb_utility.php');
	require('scripts/sb_menu.php');
	require('scripts/sb_search.php');
	require('scripts/sb_entry.php');
	require('scripts/sb_image.php');
	require('scripts/sb_display.php');
	require('scripts/sb_color.php');
	require('scripts/sb_trackback.php');
	
	// sb_fileio.php
	// -------------
	// sb_read_file( $filename )
	// sb_write_file( $filename, $str )
	// sb_folder_listing( $dir, $ext_array )
	// sb_delete_file( $filename )
	// sb_delete_directory( $dirname )
	// sb_strip_extension( $filename )
	
	// sb_config.php
	// -------------
	// read_config( )
	// write_config( $blog_title, $blog_author, $blog_email, $blog_footer, $blog_language, $blog_entry_order, $blog_comment_order, $blog_enable_comments, $blog_max_entries, $blog_comments_popup, $comment_tags_allowed, $blog_enable_gzip_txt, $blog_enable_gzip_output, $blog_email_notification, $blog_send_pings, $blog_ping_urls, $blog_enable_voting )
	// write_metainfo( $info_keywords, $info_description, $info_copyright )
	// write_theme( $blog_theme )
	// read_theme( )
	// write_colors( $post_array )
	// read_colors( )
	
	// sb_login.php
	// -------------
	// logged_in ( $redirect_to_login, $redirect_to_setup )
	// logout ()
	// create_password ( $user, $pass )
	// check_password ( $user, $pass )
	
	
?>